> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sofiachat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Marca opt-out (baja) del contacto



## OpenAPI

````yaml https://api-v2.sofiachat.com/api/v1/openapi.json post /contacts/{id}/opt-out
openapi: 3.0.0
info:
  title: Sofia Chat API
  description: >-
    API externa de Sofia Chat para integraciones servidor-a-servidor.


    ## Autenticación

    Todas las peticiones requieren el header `X-API-Key` con una API key válida
    de la organización.


    ```

    X-API-Key: <tu_api_key>

    ```


    ## Scopes

    Cada API key tiene scopes que autorizan las operaciones:

    - `read`: acceso de lectura (endpoints GET).

    - `write`: acceso de escritura (endpoints POST, PATCH y DELETE).


    ## Rate limit

    El límite se aplica por API key (no por IP):

    - 300 peticiones/min en endpoints de lectura.

    - 60 peticiones/min en endpoints de escritura (`write`).


    Al superarlo la API responde `429 Too Many Requests`.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.sofiachat.com/api/v1
security: []
tags: []
paths:
  /contacts/{id}/opt-out:
    post:
      tags:
        - Contactos
      summary: Marca opt-out (baja) del contacto
      operationId: ContactsController_optOut
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: number
      responses:
        '201':
          description: ''
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````